689 nightly.sh doesn't do fresh bringovers
authorRoland Mainz <roland.mainz@nexenta.com>
Thu, 17 Feb 2011 15:06:39 -0800
changeset 13290 6489e7702a16
parent 13289 0a79ebc0f4b3
child 13291 d5c7e34a4e3f
689 nightly.sh doesn't do fresh bringovers Reviewed by: Dan McDonald <[email protected]> Reviewed by: Olga Kryzhanoska <[email protected]> Approved by: Garrett D'Amore <[email protected]>
usr/src/tools/scripts/nightly.sh
--- a/usr/src/tools/scripts/nightly.sh	Thu Feb 17 14:49:38 2011 -0800
+++ b/usr/src/tools/scripts/nightly.sh	Thu Feb 17 15:06:39 2011 -0800
@@ -1285,8 +1285,13 @@
 
 # Check if we have sufficient data to continue...
 [[ -v CODEMGR_WS ]] || fatal_error "Error: Variable CODEMGR_WS not set."
-[[ -d "${CODEMGR_WS}" ]] || fatal_error "Error: ${CODEMGR_WS} is not a directory."
-[[ -f "${CODEMGR_WS}/usr/src/Makefile" ]] || fatal_error "Error: ${CODEMGR_WS}/usr/src/Makefile not found."
+if  [[ "${NIGHTLY_OPTIONS}" == ~(F)n ]] ; then
+	# Check if the gate data are valid if we don't do a "bringover" below
+	[[ -d "${CODEMGR_WS}" ]] || \
+		fatal_error "Error: ${CODEMGR_WS} is not a directory."
+	[[ -f "${CODEMGR_WS}/usr/src/Makefile" ]] || \
+		fatal_error "Error: ${CODEMGR_WS}/usr/src/Makefile not found."
+fi
 
 #
 # place ourselves in a new task, respecting BUILD_PROJECT if set.
@@ -2504,6 +2509,11 @@
 	exit 1
 fi
 
+# Safeguards
+[[ -v CODEMGR_WS ]] || fatal_error "Error: Variable CODEMGR_WS not set."
+[[ -d "${CODEMGR_WS}" ]] || fatal_error "Error: ${CODEMGR_WS} is not a directory."
+[[ -f "${CODEMGR_WS}/usr/src/Makefile" ]] || fatal_error "Error: ${CODEMGR_WS}/usr/src/Makefile not found."
+
 echo "\n==== Build environment ====\n" | tee -a $build_environ_file >> $LOGFILE
 
 # System